﻿Class MainWindow

    Dim KnobValue As Double
    Dim knobOldValue As Double
    Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        C1Knob1.Minimum = 0
        C1Knob1.Maximum = 100
        C1Knob1.InteractionMode = C1.WPF.Gauge.KnobInteractionMode.Drag
    End Sub

    Private Sub C1Knob1_MouseLeftButtonUp(ByVal sender As Object, ByVal e As System.Windows.Input.MouseButtonEventArgs) Handles C1Knob1.MouseLeftButtonUp
        C1Knob1.Value = KnobValue
        knobOldValue = C1Knob1.Value
    End Sub

    Private Sub C1Knob1_ValueChanged1(ByVal sender As Object, ByVal e As C1.WPF.PropertyChangedEventArgs(Of Double)) Handles C1Knob1.ValueChanged
        If e.NewValue < e.OldValue Then
            ' Decrementing frequency or interval change by 10
            e.NewValue = knobOldValue - 10
            KnobValue = e.NewValue
        Else
            e.OldValue = knobOldValue
            ' Incrementing frequency or interval change by 10
            e.NewValue = e.OldValue + 10
            KnobValue = e.NewValue
        End If
    End Sub
End Class
